using System;

internal sealed class Delegate82 : MulticastDelegate
{
	public extern string Invoke(string string_0, object object_0, object object_1);

	public static string smethod_0(string string_0, object object_0, object object_1, Delegate82 delegate82_1)
	{
		return delegate82_1(string_0, object_0, object_1);
	}

	public extern Delegate82(object object_0, IntPtr intptr_0);

	static Delegate82()
	{
		Class10.smethod_13(typeof(Delegate82).TypeHandle);
	}

	internal static Delegate82 delegate82_0;
}
